
## Features
-  Comaptible with all ccxt exchanges.
-  Precise at the orderbook lever (close to a market-making algorithm)
-  Can work with an unlimited number of exchanges at the same time
-  Does a balance simulation for every possible opportunity to always choose the most profitable one
-  Full logging system

## Prerequistics
 - Install python 3.12

## Installation

```
pip install arb==0.1

```

## Usage
Run the bot with the following command:
```
  "arb <mode> [renew-time-minutes] <balance-usdt-to-use> <pair> <exchanges list separated by commas (no space!)>"
```

Parameters:  
  ```
  - "<mode>" = the mode you wanna use between fake-money and real. See #full-version for real mode.

    * fake-money: will run the bot with the balance-usdt-to-use you put, with a virtual balance, just to test.
    * real: will run the bot with real money.
    
  - "[renew-time-minutes]" = ONLY IF YOU ENABLED RENEWAL SETTING IN THE CONFIG. If you enabled it, you have to put the number of minutes a session should last. After each session, the bot sells all the assets back to rebalance. Note: you can trigger a manual rebalance while in a session by pressing the Enter key.

  - "<balance-usdt-to-use>" = If you set the balance to 10,000 across two accounts, you need to deposit 5,000 into each exchange for the bot to function properly.

  - "<pair>" = The pair you wanna arbitrage on.
    ex: COMAI/USDT, BTC/USDT, ETH/USDT

  - "<exchanges list>" = the exchanges you want the bot to scan the orderbooks on, among all the CCXT-compatible exchanges. From a 2 exchanges minimum, up to an unlimited number. Don't forget to configure the exchanges in exchange_config.py.
  ```

* Examples:

    - with renewal disabled ( For test ):

      ```
       arb fake-money 500 EOS/USDT binance,okx,kucoin    # run the bot with 500 USDT and rebalance every 15 minutes, with binance okx and kucoin

      ```
    - with renewal enabled:

      @ Before this command you should enable renewal in the exchange_config.py
        ```
        arb real 15 1000 SOL/USDT binance,poloniex,kucoin   # run the bot with 1000 USDT on binance phemex and bybit on SOL/USDT, and rebalance every 15 minutes.
        
        ```